{pkgs, lib, ...}: pkgs.rustPlatform.buildRustPackage rec {
	pname = "dw";
	version = "0.1.0";

	src = pkgs.fetchFromGitea {
		domain = "fem.mint.lgbt";
		owner = "Emi";
		repo = "password-script";
		rev = "v0.1.0";
		sha256 = "0w/MOHG7oe1TZEiFmSOk+o34uxArF2DCjns7Tb6l9sw=";
	};

	cargoSha256 = "0oVTwNrE3Qoz+K+daBUwVKCKUxJkodqQYMz0TT4FpHg=";

	meta = {
		description = "A simple diceware script, with defaults picked by Emi";
		homepage = "https://fem.mint.lgbt/Emi/password-script";
		license = lib.licenses.cc-by-nc-40;
		maintainers = [{
			email = "ember@corviform.gay";
			github = "Alch-Emi";
			githubId = 38897201;
			name = "Ember Hearth";
		}];
	};
}